Page MenuHome

3D Viewport (parent task)
Closed, ResolvedPublicTO DO

Description

Parent tasks for 3D viewport tasks to complete before 2.80 can be considered feature complete.

  • Mesh Analysis drawing is missing (either hide from UI or implement)
  • Dynamic paint drawing is incomplete, it does not show vertex colors in viewport like before. (solve along with T57000)

Event Timeline

Brecht Van Lommel (brecht) lowered the priority of this task from 90 to Normal.Aug 13 2018, 1:10 PM
Brecht Van Lommel (brecht) created this task.
Brecht Van Lommel (brecht) triaged this task as High priority.Apr 9 2019, 1:22 PM

With D4694 the basics of dynamic paint seems to work

@Brecht Van Lommel (brecht) there is a misunderstanding in the second bullet.

Dynamic paint drawing is incomplete, it does not show vertex colors in viewport like before. (solve along with T57000)

Lets analyze.
Blender 2.79 has a preview dynamic paint for both painting surfaces and weight surfaces. Per object the user could activate one dynamic paint surface and it that surface was persistent show in the viewport. This drawing worked without setting up vertex groups or vertex colors. This made it easy for the user to preview the setup, and after that made the needed changes to the material(s).

In the future (current personal opinion) dynamic painting will be split into several sections.

surface_formatsurface_type preview available future
VertexPaintYesModifier nodes
VertexDisplaceNoModifier nodes
VertexWeightsYesModifier nodes
VertexWavesNoModifier nodes
Image SequencePaintNoTexture/Shader nodes
Image SequenceDisplaceNoTexture/Shader nodes
Image SequenceWavesNoTexture/Shader nodes

We have workarounds for displaying previews:

  • Vertex Paint:
    • Configure Output Paintmap Layer and or Wetmap Layer
    • Switch to Mesh Object Data properties tab
    • Activate Vertex Color
    • Switch back to Physics properties tab
    • Activate workbench vertex color type
  • Weight Paint:
    • Add material
    • Configure material to display weights
    • Switch viewport to Lookdev or rendered mode in EEVEE/Cycles.

Looking at the whole story I would propose to remove the preview options from the Dynamic Paint (eg DNA, RNA, BKE, Operations etc)

So remove the Chain icons and discontinue the Dynamic Paint Overlay T63819
What do you advice?

I think removing those preview options is fine. We can add a better system to preview such results from modifiers in the future (also for modifier nodes in the upcoming system), but the current preview stuff seems too much of a hack.

Jeroen Bakker (jbakker) changed the status of subtask T63819: Overlay: DynamicPaint overlay from Unknown Status to Invalid.Apr 24 2019, 3:16 PM
Jeroen Bakker (jbakker) changed the status of subtask T63857: Dynamic Paint: Remove Preview option from Unknown Status to Resolved.Apr 25 2019, 8:06 AM
Jeroen Bakker (jbakker) changed the task status from Unknown Status to Resolved.Apr 25 2019, 11:29 AM
Jeroen Bakker (jbakker) changed the status of subtask T63680: Overlay: Implement Mesh Analysis Overlay from Unknown Status to Resolved.

How do you show the dynamic paint weights in the viewport?

@ronald johnson (billyand) Blender 2.80 Will not include weight paint overlay. It seems like Dynamic weight paint is broken for some years now but have only be noticed a short time ago. in the near future we want to redesign this part and integrate this into existing projects like modifier nodes and shader /texture nodes. Spending now time to fix is not effective.

I've found a workaround for making Dynamic Weight Painting visible in Blender 2.8 in Eevee and Cycles (Look Dev and Rendered):
Unwrap your object and scale the UV-map so that all UV-vertices are at (0,0). Now add an UV-Warp-Modifier to your object and use two Empties added at (0,0,0) and (1,1,0) as helper objects for the Modifier.
The dynamic weight paint map "dp_weight" determines the influence of the UV-Warp-Modifier. From the UV-Map-node, we separate the x or y value, put it into a color ramp with blue at the left, green in the middle and red at the right.
Plug the color ramp into your shader node and the weights become visible: See in attached files:
With a plane:


With Suzanne:

PS: Do I understand it right, that the UV-Warp-modifier shifts the UV-coordinate-system so that the UV-coordinate determined by the "From"-object is now at the position of the "To"-Object? This should be explained in the Blender Manual because the description there is too short:
https://docs.blender.org/manual/en/latest/modeling/modifiers/modify/uv_warp.html